## gnome-config

gnome-config

## Functions

#define | gnome_config_get_string()
#define | gnome_config_get_string_with_default()
#define | gnome_config_get_translated_string()
#define | gnome_config_get_translated_string_with_default()
#define | gnome_config_private_get_string()
#define | gnome_config_private_get_string_with_default()
#define | gnome_config_private_get_translated_string()
#define | gnome_config_private_get_translated_string_with_default()
#define | gnome_config_set_string()
#define | gnome_config_set_translated_string()
#define | gnome_config_private_set_string()
#define | gnome_config_private_set_translated_string()
#define | gnome_config_get_int()
#define | gnome_config_get_int_with_default()
#define | gnome_config_private_get_int()
#define | gnome_config_private_get_int_with_default()
#define | gnome_config_set_int()
#define | gnome_config_private_set_int()
#define | gnome_config_get_float()
#define | gnome_config_get_float_with_default()
#define | gnome_config_private_get_float()
#define | gnome_config_private_get_float_with_default()
#define | gnome_config_set_float()
#define | gnome_config_private_set_float()
#define | gnome_config_get_bool()
#define | gnome_config_get_bool_with_default()
#define | gnome_config_private_get_bool()
#define | gnome_config_private_get_bool_with_default()
#define | gnome_config_set_bool()
#define | gnome_config_private_set_bool()
#define | gnome_config_get_vector()
#define | gnome_config_get_vector_with_default()
#define | gnome_config_private_get_vector()
#define | gnome_config_private_get_vector_with_default()
#define | gnome_config_set_vector()
#define | gnome_config_private_set_vector()
char * | gnome_config_assemble_vector ()
#define | gnome_config_has_section()
#define | gnome_config_private_has_section()
#define | gnome_config_init_iterator()
#define | gnome_config_private_init_iterator()
#define | gnome_config_init_iterator_sections()
#define | gnome_config_private_init_iterator_sections()
void * | gnome_config_iterator_next ()
void | gnome_config_drop_all ()
gboolean | gnome_config_sync ()
#define | gnome_config_sync_file()
#define | gnome_config_private_sync_file()
#define | gnome_config_drop_file()
#define | gnome_config_private_drop_file()
#define | gnome_config_clean_file()
#define | gnome_config_private_clean_file()
#define | gnome_config_clean_section()
#define | gnome_config_private_clean_section()
#define | gnome_config_clean_key()
#define | gnome_config_private_clean_key()
#define | gnome_config_get_real_path()
#define | gnome_config_private_get_real_path()
void | gnome_config_push_prefix ()
void | gnome_config_pop_prefix ()
void | gnome_config_make_vector ()

## Includes

    #include <libgnome/libgnome.h>

## Description

## Functions

### gnome_config_get_string()

    #define             gnome_config_get_string(path)

`gnome_config_get_string` is deprecated and should not be used in newly-written code.

Retrieves the value of a configuration item as a string. This value should be freed with `g_free()` when no longer needed.

#### Parameters

path | A gnome configuration path to an item. |

#### Returns

The value of the configuration item as a string.

### gnome_config_get_string_with_default()

    #define             gnome_config_get_string_with_default(path,def)

`gnome_config_get_string_with_default` is deprecated and should not be used in newly-written code.

Retrieves the value of a configuration item as a string. This value should be freed with `g_free()` when no longer needed.

#### Parameters

path | A gnome configuration path to an item. |
def | A pointer to a flag that will be set if the default value for the item is returned. |

#### Returns

The value of the configuration item as a string, or `def` if the configuration key does not exist.

### gnome_config_get_translated_string()

    #define             gnome_config_get_translated_string(path)

`gnome_config_get_translated_string` is deprecated and should not be used in newly-written code.

Retrieves the value of a configuration item as a string appropriate for the current language. The returned value should be freed with `g_free()` when no longer needed.

#### Parameters

path | A gnome configuration path to an item. |

#### Returns

The value of the configuration item.

### gnome_config_get_translated_string_with_default()

    #define             gnome_config_get_translated_string_with_default(path,def)

`gnome_config_get_translated_string_with_default` is deprecated and should not be used in newly-written code.

Retrieves the value of a configuration item as a string appropriate for the current language. The returned value should be freed with `g_free()` when no longer needed.

#### Parameters

path | A gnome configuration path to an item. |
def | A pointer to a flag that will be set if the default value for the item is returned. |

#### Returns

The value of the configuration item or `def` if the configuration item does not exist.

### gnome_config_private_get_string()

    #define             gnome_config_private_get_string(path)

`gnome_config_private_get_string` is deprecated and should not be used in newly-written code.

Retrieves the value of a configuration item from the user's private configuration directory as a string. This value should be freed with `g_free()` when no longer needed.

#### Parameters

path | A gnome configuration path to an item in the user-private namespace. |

#### Returns

The value of the configuration item as a string.

### gnome_config_private_get_string_with_default()

    #define             gnome_config_private_get_string_with_default(path,def)

`gnome_config_private_get_string_with_default` is deprecated and should not be used in newly-written code.

Retrieves the value of a configuration item from the user's private configuration directory as a string. This value should be freed with `g_free()` when no longer needed.

#### Parameters

path | A gnome configuration path to an item in the user-private namespace. |
def | A pointer to a flag that will be set if the default value for the item is returned. |

#### Returns

The value of the configuration item as a string, or `def` if the configuration key does not exist.

### gnome_config_private_get_translated_string()

    #define             gnome_config_private_get_translated_string(path)

`gnome_config_private_get_translated_string` is deprecated and should not be used in newly-written code.

Retrieves the value of a configuration item as a string appropriate for the current language. The returned value should be freed with `g_free()` when no longer needed. The item is retrieved from the user's private configuration storage area.

#### Parameters

path | A gnome configuration path to an item in the user-private namespace. |

#### Returns

The value of the configuration item.

### gnome_config_private_get_translated_string_with_default()

    #define             gnome_config_private_get_translated_string_with_default(path,def)

`gnome_config_private_get_translated_string_with_default` is deprecated and should not be used in newly-written code.

Retrieves the value of a configuration item as a string appropriate for the current language. The returned value should be freed with `g_free()` when no longer needed. The item is retrieved from the user's private configuration storage area.

#### Parameters

path | A gnome configuration path to an item in the user-private namespace. |
def | A pointer to a flag that will be set if the default value for the item is returned. |

#### Returns

The value of the configuration item or `def` if the configuration item does not exist.

### gnome_config_set_string()

    #define             gnome_config_set_string(path,new_value)

`gnome_config_set_string` is deprecated and should not be used in newly-written code.

Stores the string value `new_value` in the file/section/key defined by the `path` .

#### Parameters

path | A gnome configuration path to a key. |
new_value | A string value to set. |

### gnome_config_set_translated_string()

    #define             gnome_config_set_translated_string(path,value)

`gnome_config_set_translated_string` is deprecated and should not be used in newly-written code.

Stores the string value `value` in the file/section/key defined by the `path` on the proper section for the current language set by by the user.

#### Parameters

path | A gnome configuration path to a key. |
value | A string value to set. |

### gnome_config_private_set_string()

    #define             gnome_config_private_set_string(path,new_value)

`gnome_config_private_set_string` is deprecated and should not be used in newly-written code.

Stores the string value `new_value` in the file/section/key defined by the `path` . The configuration value is stored in the user's private storage area.

#### Parameters

path | A gnome configuration path to a key. |
new_value | A string value to set. |

### gnome_config_private_set_translated_string()

    #define             gnome_config_private_set_translated_string(path,new_value)

`gnome_config_private_set_translated_string` is deprecated and should not be used in newly-written code.

Stores the string value `new_value` in the file/section/key defined by the `path` on the proper section for the current language set by by the user. The configuration value is stored in the user's private storage area.

#### Parameters

path | A gnome configuration path to a key. |
new_value | A string value to set. |

### gnome_config_get_int()

    #define             gnome_config_get_int(path)

`gnome_config_get_int` is deprecated and should not be used in newly-written code.

Retrieves an integer value configuration item.

#### Parameters

path | A gnome configuration path to an item. |

#### Returns

The value of a configuration item.

### gnome_config_get_int_with_default()

    #define             gnome_config_get_int_with_default(path,def)

`gnome_config_get_int_with_default` is deprecated and should not be used in newly-written code.

Retrieves an integer value configuration item.

#### Parameters

path | A gnome configuration path to an item. |
def | A pointer to a flag that will be set if the default value for the item is returned. |

#### Returns

The value of a configuration item as an integer or `def` if the configuration item does not exist.

### gnome_config_private_get_int()

    #define             gnome_config_private_get_int(path)

`gnome_config_private_get_int` is deprecated and should not be used in newly-written code.

Retrieves a configuration item as an int from the user's private configuration storage area.

#### Parameters

path | A gnome configuration path to an item in the user-private namespace. |

#### Returns

The value of a configuration item as an integer.

### gnome_config_private_get_int_with_default()

    #define             gnome_config_private_get_int_with_default(path,def)

`gnome_config_private_get_int_with_default` is deprecated and should not be used in newly-written code.

Retrieves a configuration item as an int from the user's private configuration storage area.

#### Parameters

path | A gnome configuration path to an item in the user-private namespace. |
def | A pointer to a flag that will be set if the default value for the item is returned. |

#### Returns

The value of a configuration item as an integer or `def` if the configuration item does not exist.

### gnome_config_set_int()

    #define             gnome_config_set_int(path,new_value)

`gnome_config_set_int` is deprecated and should not be used in newly-written code.

Stores the integer value `new_value` in the file/section/key defined by the `path` .

#### Parameters

path | A gnome configuration path to a key. |
new_value | A int value to set. |

### gnome_config_private_set_int()

    #define             gnome_config_private_set_int(path,new_value)

`gnome_config_private_set_int` is deprecated and should not be used in newly-written code.

Stores the integer value `new_value` in the file/section/key defined by the `path` . The value is stored in the user's private configuration storage area.

#### Parameters

path | A gnome configuration path to a key. |
new_value | A int value to set. |

### gnome_config_get_float()

    #define             gnome_config_get_float(path)

`gnome_config_get_float` is deprecated and should not be used in newly-written code.

Retrieves a floating-point valued configuration item.

#### Parameters

path | A gnome configuration path to an item. |

#### Returns

The value of a configuration item.

### gnome_config_get_float_with_default()

    #define             gnome_config_get_float_with_default(path,def)

`gnome_config_get_float_with_default` is deprecated and should not be used in newly-written code.

Retrieves a floating-point valued configuration item.

#### Parameters

path | A gnome configuration path to an item. |
def | A pointer to a flag that will be set if the default value for the item is returned. |

#### Returns

The value of a configuration item as a floating-point number or `def` if the configuration item does not exist.

### gnome_config_private_get_float()

    #define             gnome_config_private_get_float(path)

`gnome_config_private_get_float` is deprecated and should not be used in newly-written code.

Retrieves a configuration item from the user's private configuration storage area.

#### Parameters

path | A gnome configuration path to an item in the user-private namespace. |

#### Returns

The value of a configuration item as a floating-point number.

### gnome_config_private_get_float_with_default()

    #define             gnome_config_private_get_float_with_default(path,def)

`gnome_config_private_get_float_with_default` is deprecated and should not be used in newly-written code.

Retrieves a configuration item from the user's private configuration storage area.

#### Parameters

path | A gnome configuration path to an item in the user-private namespace. |
def | A pointer to a flag that will be set if the default value for the item is returned. |

#### Returns

The value of a configuration item as a floating-point number or `def` if the configuration item does not exist.

### gnome_config_set_float()

    #define             gnome_config_set_float(path,new_value)

`gnome_config_set_float` is deprecated and should not be used in newly-written code.

Stores the double value `new_value` in the file/section/key defined by the `path` .

#### Parameters

path | A gnome configuration path to a key. |
new_value | A double value to set. |

### gnome_config_private_set_float()

    #define             gnome_config_private_set_float(path,new_value)

`gnome_config_private_set_float` is deprecated and should not be used in newly-written code.

Stores the double value `new_value` in the file/section/key defined by the `path` . The value is stored in the user's private configuration storage area.

#### Parameters

path | A gnome configuration path to a key. |
new_value | A double value to set. |

### gnome_config_get_bool()

    #define             gnome_config_get_bool(path)

`gnome_config_get_bool` is deprecated and should not be used in newly-written code.

Retrieves a boolean configuration value.

#### Parameters

path | A gnome configuration path to an item. |

#### Returns

The value of a configuration item.

### gnome_config_get_bool_with_default()

    #define             gnome_config_get_bool_with_default(path,def)

`gnome_config_get_bool_with_default` is deprecated and should not be used in newly-written code.

Retrieves a boolean configuration value.

#### Parameters

path | A gnome configuration path to an item. |
def | A pointer to a flag that will be set if the default value for the item is returned. |

#### Returns

The value of a configuration item, or `def` if the configuration item does not exist.

### gnome_config_private_get_bool()

    #define             gnome_config_private_get_bool(path)

`gnome_config_private_get_bool` is deprecated and should not be used in newly-written code.

Retrieves the item from the user's private configuration storage area.

#### Parameters

path | A gnome configuration path to an item in the user-private namespace. |

#### Returns

The value of a configuration item as a boolean.

### gnome_config_private_get_bool_with_default()

    #define             gnome_config_private_get_bool_with_default(path,def)

`gnome_config_private_get_bool_with_default` is deprecated and should not be used in newly-written code.

Retrieves the item from the user's private configuration storage area.

#### Parameters

path | A gnome configuration path to an item in the user-private namespace. |
def | A pointer to a flag that will be set if the default value for the item is returned. |

#### Returns

The value of a configuration item as a boolean, or `def` if the configuration item does not exist.

### gnome_config_set_bool()

    #define             gnome_config_set_bool(path,new_value)

`gnome_config_set_bool` is deprecated and should not be used in newly-written code.

Stores boolean value `new_value` in the file/section/key defined by `path` .

#### Parameters

path | A gnome configuration path to a key. |
new_value | A boolean value to set. |

### gnome_config_private_set_bool()

    #define             gnome_config_private_set_bool(path,new_value)

`gnome_config_private_set_bool` is deprecated and should not be used in newly-written code.

Stores boolean value `new_value` in the file/section/key defined by `path` . The value is stored in the user's private configuration storage area.

#### Parameters

path | A gnome configuration path to a key. |
new_value | A boolean value to set. |

### gnome_config_get_vector()

    #define             gnome_config_get_vector(path, argcp, argvp)

`gnome_config_get_vector` is deprecated and should not be used in newly-written code.

Retrieves the value of a configuration item as a string array. The returned vector should be freed with `g_free()` when no longer needed.

#### Parameters

path | A gnome configuration path to an item. |
argcp | Number of elements in the vector. |
argvp | Vector of strings. |

### gnome_config_get_vector_with_default()

    #define             gnome_config_get_vector_with_default(path, argcp, argvp, def)

`gnome_config_get_vector_with_default` is deprecated and should not be used in newly-written code.

Retrieves the value of a configuration item as a string array. The returned vector should be freed with `g_free()` when no longer needed.

#### Parameters

path | A gnome configuration path to an item. |
argcp | Number of elements in the vector. |
argvp | Vector of strings. |
def | A pointer to a flag that will be set if the default value for the item is returned. |

### gnome_config_private_get_vector()

    #define             gnome_config_private_get_vector(path, argcp, argvp)

`gnome_config_private_get_vector` is deprecated and should not be used in newly-written code.

Retrieves the value of a configuration item as a string array. The returned vector should be freed with `g_free()` when no longer needed. The configuration value is retrieved from the user's private configuration storage area.

#### Parameters

path | A gnome configuration path to an item in the user-private namespace. |
argcp | Number of elements in the vector. |
argvp | Vector of strings. |

### gnome_config_private_get_vector_with_default()

    #define             gnome_config_private_get_vector_with_default(path, argcp, argvp, def)

`gnome_config_private_get_vector_with_default` is deprecated and should not be used in newly-written code.

Retrieves the value of a configuration item as a string array. The returned vector should be freed with `g_free()` when no longer needed. The configuration value is retrieved from the user's private configuration storage area.

#### Parameters

path | A gnome configuration path to an item in the user-private namespace. |
argcp | Number of elements in the vector |
argvp | Vector of strings |
def | A pointer to a flag that will be set if the default value for the item is returned. |

### gnome_config_set_vector()

    #define             gnome_config_set_vector(path,argc,argv)

`gnome_config_set_vector` is deprecated and should not be used in newly-written code.

Stores vector `argv` in the file/section/key defined by `path` .

#### Parameters

path | A gnome configuration path to a key. |
argc | The number of elements in `argv` . |
argv | A string array holding the data to store. |

### gnome_config_private_set_vector()

    #define             gnome_config_private_set_vector(path,argc,argv)

`gnome_config_private_set_vector` is deprecated and should not be used in newly-written code.

Stores vector `argv` in the file/section/key defined by `path` . The configuration value is set in the user's private storage area.

#### Parameters

path | A gnome configuration path to a key. |
argc | The number of elements in `argv` . |
argv | A string array holding the data to store. |

### gnome_config_assemble_vector ()

    char *
    gnome_config_assemble_vector (int argc,
                                  const char *const argv[]);

`gnome_config_assemble_vector` is deprecated and should not be used in newly-written code.

This routine returns the the strings in the array contactenated by spaces. The return value should be freed with `g_free()` when it is no longer required.

#### Parameters

argc | Number of elements in the `argv` string array. |
argv | An array of strings. |

#### Returns

A string with the concatenation results.

### gnome_config_has_section()

    #define             gnome_config_has_section(path)

`gnome_config_has_section` is deprecated and should not be used in newly-written code.

Queries the gnome configuration file for the presence of the section specified in `path` .

#### Parameters

path | A gnome configuration path to a section |

#### Returns

`TRUE` if the section exists, `FALSE` otherwise.

### gnome_config_private_has_section()

    #define             gnome_config_private_has_section(path)

`gnome_config_private_has_section` is deprecated and should not be used in newly-written code.

Queries the private gnome configuration file for the presence of the section specified in `path` .

#### Parameters

path | A gnome configuration path to a section |

#### Returns

`TRUE` if the section exists, `FALSE` otherwise.

### gnome_config_init_iterator()

    #define             gnome_config_init_iterator(path)

`gnome_config_init_iterator` is deprecated and should not be used in newly-written code.

Creates an iterator handle that can be used to iterate over the keys in a section in a gnome configuration file. `path` must refer to a section. The returned value can be used as an iterator for `gnome_config_iterator_next()`.

#### Parameters

path | A gnome configuration path for a section. |

#### Returns

The iterator handle.

### gnome_config_private_init_iterator()

    #define             gnome_config_private_init_iterator(path)

`gnome_config_private_init_iterator` is deprecated and should not be used in newly-written code.

Creates an iterator handle that can be used to iterate over the keys in a section in a private gnome configuration file. `path` must refer to a section. The returned value can be used as an iterator for `gnome_config_iterator_next()`.

#### Parameters

path | A gnome configuration path for a section. |

#### Returns

The iterator handle.

### gnome_config_init_iterator_sections()

    #define             gnome_config_init_iterator_sections(path)

`gnome_config_init_iterator_sections` is deprecated and should not be used in newly-written code.

Creates an iterator handle that can be used to iterate over the sections in a gnome configuration file. `path` must refer to a gnome configuration file. The returned value can be used as an iterator for `gnome_config_iterator_next()`.

#### Parameters

path | A gnome configuration path for a file. |

#### Returns

The iterator handle.

### gnome_config_private_init_iterator_sections()

    #define             gnome_config_private_init_iterator_sections(path)

`gnome_config_private_init_iterator_sections` is deprecated and should not be used in newly-written code.

Creates an iterator handle that can be used to iterate over the sections in a private gnome configuration file. `path` must refer to a gnome configuration file. The returned value can be used as an iterator for `gnome_config_iterator_next()`.

#### Parameters

path | A gnome configuration path for a file |

#### Returns

The iterator handle.

### gnome_config_iterator_next ()

    void *
    gnome_config_iterator_next (void *iterator_handle,
                                char **key,
                                char **value);

`gnome_config_iterator_next` is deprecated and should not be used in newly-written code.

If `key` is non-NULL, then `key` will point to a `g_malloc()`ed region that holds the key.

If `value` is non-NULL, then `value` will point to a `g_malloc()`ed region that holds the key.

#### Parameters

iterator_handle | A gnome configu iterator handle, returned from any iteration start routine or this routine. |
key | Address where the key gets stored. |
value | Address where the value gets stored. |

### gnome_config_drop_all ()

    void
    gnome_config_drop_all (void);

`gnome_config_drop_all` is deprecated and should not be used in newly-written code.

Drops any information cached in memory that was fetched with gnome config. Any pending information that has not been written to disk is discarded.

### gnome_config_sync ()

    gboolean
    gnome_config_sync (void);

`gnome_config_sync` is deprecated and should not be used in newly-written code.

Writes all of the information modified by gnome-config to the disk.

Note: the gnome-config code does not write anything to the configuration files until this routine is actually invoked.

#### Returns

`TRUE` if everything went well. `FALSE` if any file could not be written to disk.

### gnome_config_sync_file()

    #define             gnome_config_sync_file(path)

`gnome_config_sync_file` is deprecated and should not be used in newly-written code.

Writes all of the information modified by gnome-config to the disk for the given file.

Note: the gnome-config code does not write anything to the configuration files until this routine or `gnome_config_sync()` is actually invoked.

#### Parameters

path | A gnome-config path |

#### Returns

`TRUE` if everything went well, `FALSE` if the file could not be written to for some reason. `FALSE` is only returned when a write was actually attempted and failed.

### gnome_config_private_sync_file()

    #define             gnome_config_private_sync_file(path)

`gnome_config_private_sync_file` is deprecated and should not be used in newly-written code.

Writes all of the information modified by gnome-config to the disk for the given private file.

Note: the gnome-config code does not write anything to the configuration files until this routine or `gnome_config_sync()` is actually invoked.

#### Parameters

path | A gnome-config path |

#### Returns

`TRUE` if everything went well, `FALSE` if the file could not be written to for some reason. `FALSE` is only returned when a write was actually attempted and failed.

### gnome_config_drop_file()

    #define             gnome_config_drop_file(path)

`gnome_config_drop_file` is deprecated and should not be used in newly-written code.

Releases any memory resources that were allocated from accessing the configuration file in `path` . Changes will take place after `gnome_config_sync()` has been invoked

#### Parameters

path | A gnome-config path |

### gnome_config_private_drop_file()

    #define             gnome_config_private_drop_file(path)

`gnome_config_private_drop_file` is deprecated and should not be used in newly-written code.

Releases any memory resources that were allocated from accessing the private configuration file in `path` .

#### Parameters

path | A gnome-config path |

### gnome_config_clean_file()

    #define             gnome_config_clean_file(path)

`gnome_config_clean_file` is deprecated and should not be used in newly-written code.

Cleans up the configuration file specified by `path` from any configuration information.

Changes will take place after `gnome_config_sync()` has been invoked.

#### Parameters

path | A gnome-config path |

### gnome_config_private_clean_file()

    #define             gnome_config_private_clean_file(path)

`gnome_config_private_clean_file` is deprecated and should not be used in newly-written code.

Cleans up the private configuration file specified by `path` from any configuration information.

Changes will take place after `gnome_config_sync()` has been invoked.

#### Parameters

path | A gnome-config path |

### gnome_config_clean_section()

    #define             gnome_config_clean_section(path)

`gnome_config_clean_section` is deprecated and should not be used in newly-written code.

Cleans up the section specified by `path` from any configuration information. Changes will only take place after `gnome_config_sync()` has been invoked.

#### Parameters

path | A gnome configuration path to a section. |

### gnome_config_private_clean_section()

    #define             gnome_config_private_clean_section(path)

`gnome_config_private_clean_section` is deprecated and should not be used in newly-written code.

Cleans up the section specified by `path` in a private file from any configuration information. Changes will only take place after `gnome_config_sync()` has been invoked.

#### Parameters

path | A gnome configuration path to a section. |

### gnome_config_clean_key()

    #define             gnome_config_clean_key(path)

`gnome_config_clean_key` is deprecated and should not be used in newly-written code.

Removes the definition for the key on a gnome configuration file.

Changes will take place after `gnome_config_sync()` has been invoked.

#### Parameters

path | A gnome configuration path to a key. |

### gnome_config_private_clean_key()

    #define             gnome_config_private_clean_key(path)

`gnome_config_private_clean_key` is deprecated and should not be used in newly-written code.

Removes the definition for the key on a private gnome configuration file.

Changes will take place after `gnome_config_sync()` has been invoked.

#### Parameters

path | A gnome configuration path to a key. |

### gnome_config_get_real_path()

    #define             gnome_config_get_real_path(path)

`gnome_config_get_real_path` is deprecated and should not be used in newly-written code.

### gnome_config_private_get_real_path()

    #define             gnome_config_private_get_real_path(path)

`gnome_config_private_get_real_path` is deprecated and should not be used in newly-written code.

### gnome_config_push_prefix ()

    void
    gnome_config_push_prefix (const char *path);

`gnome_config_push_prefix` is deprecated and should not be used in newly-written code.

`path` is a prefix that will be prepended automatically to any non-absolute configuration path in gnome config.

This is used to simplify application loading code.

Library code will usually have to set the prefix before doing any gnome-configuration access, since the application might be using their own prefix.

#### Parameters

path | A gnome configuration path prefix. |

### gnome_config_pop_prefix ()

    void
    gnome_config_pop_prefix (void);

`gnome_config_pop_prefix` is deprecated and should not be used in newly-written code.

Call this routine to remove the current configuration prefix from the stack.

### gnome_config_make_vector ()

    void
    gnome_config_make_vector (const char *string,
                              int *argcp,
                              char ***argvp);

`gnome_config_make_vector` is deprecated and should not be used in newly-written code.

Creates a new vector from a string as it stored in the config file, breaks the string on spaces except if the space is escaped with a backslash.

#### Parameters

string | The stringified vector to decode into 'argcp' and 'argvp' |
argcp | Returns the number of elements in `string` . |
argvp | Returns the array of strings found in `string` . |

## Types and Values